Subject: Re: 100% CPU Usage when starting Win32 process through cron
From: Sudheer Tumuluru <[email-masked]>
To: Thorsten Kampe <[email-masked]>, [email-masked]
Date: Wed, 12 Mar 2003 12:51:49 -0800

Thorsten Kampe wrote:

> * Sudheer Tumuluru (03-03-12 04:46 +0100)
> >         I have a Win32 process which runs fine from the cygwin bash or
> > Windows command prompt. But when I try to put it in a cron job, the
> > process comes up and freezes the machine.
>
> cron version? What "Win32 process"? OS version?

cron version 3.0.1-7. Please excuse me for not sending the cygcheck.out earlier. It is
attached this time.
This is a native Win32 application written in C++, compiled using the VC++ compiler. It
is a console-based application with no GUI component whatsoever. Windows OS version:
Windows 2000 Professional Dual Proc Machine. Identical behavior on Single Proc machine
with Windows XP Professional.

>
>
> > Looks like it is occupying 100% of the CPU time.
>
> Is it "occupying 100% of the CPU time" or not? What does the "Task
> Manager" say ([Ctrl]+[Shift]+[Esc])?

The Task Manager shows it as occupying 49% (on dual-proc) 99% (on single-proc) of the
CPU all the time. When run from the cmd-line or bash prompt, it never takes up more than
2-3% of the CPU.

>

>
>
> > I installed the cron using 'cygrunsrv -I cron -a -D -e CYGWIN="ntsec
> > binmode" -p /usr/sbin/cron.exe'.
>
> Why? "/usr/doc/Cygwin/cron.README" says: "cygrunsrv -I cron -p /usr/sbin/cron -a -D"

I removed the cron service and reinstalled it with the above cygrunsrv command, but
still don't see any change in behavior.

>

>
>
> > Is there some environment setting I am missing that is causing this problem.
>
> So what is your "environment setting"? echo $CYGWIN
>

echo $CYGWIN gives "ntsec".  Let me know if more info is needed to debug the problem.
Even if I attach to the process using strace, it doesn't give any info because it is a
Win32 app.

>
> Thorsten
> --
>  Content-Type: text/explicit; charset=ISO-8859-666 (Parental Advisory)
>  Content-Transfer-Warning: message contains innuendos not suited for
>  children under the age of 18
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                  http://cygwin.com/faq/

Thanks in advance,
Sudheer T

Cygwin Win95/NT Configuration Diagnostics
Current System Time: Wed Mar 12 12:20:57 2003

Windows 2000 Professional Ver 5.0 Build 2195 Service Pack 3

Path:	C:\apps\cygwin\usr\local\bin
	C:\apps\cygwin\bin
	C:\apps\cygwin\bin
	c:\apps\Perl\bin\
	c:\WINNT\system32
	c:\WINNT
	c:\WINNT\System32\Wbem
	c:\apps\reskit\
	c:\apps\utils
	c:\apps\launcher
	c:\Program Files\Real\RealProducerPlus
	C:\apps\cygwin\bin
	C:\apps\cygwin\bin
	c:\apps\WME
	c:\Program Files\Real\Helix Producer Plus
	C:\apps\cygwin\bin

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

CYGWIN = `ntsec'
HOME = `C:\apps\cygwin\home\Administrator'
MAKE_MODE = `unix'
PWD = `/home/Administrator'
USER = `Administrator'

ALLUSERSPROFILE = `C:\Documents and Settings\All Users'
COMMONPROGRAMFILES = `C:\Program Files\Common Files'
COMPUTERNAME = `VID038'
COMSPEC = `C:\WINNT\system32\cmd.exe'
DIRCMD = `/a'
HOMEDRIVE = `C:'
HOMEPATH = `\apps\cygwin\home\Administrator'
LOGNAME = `Administrator'
LOGONSERVER = `\\VID038'
MAIL = `/var/spool/mail/Administrator'
MANPATH = `:/usr/ssl/man'
NUMBER_OF_PROCESSORS = `2'
OLDPWD = `/home/Administrator'
OS2LIBPATH = `C:\WINNT\system32\os2\dll;'
OS = `Windows_NT'
PATHEXT = `.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH'
PROCESSOR_ARCHITECTURE = `x86'
PROCESSOR_IDENTIFIER = `x86 Family 15 Model 2 Stepping 4, GenuineIntel'
PROCESSOR_LEVEL = `15'
PROCESSOR_REVISION = `0204'
PROGRAMFILES = `C:\Program Files'
PS1 = `\[\033]0;\w\007
\033[32m\]\u@\h \[\033[33m\w\033[0m\]
$ '
SHELL = `/bin/bash'
SHLVL = `1'
SSH_CLIENT = `207.188.15.234 3190 22'
SSH_TTY = `/dev/tty1'
SYSTEMDRIVE = `C:'
SYSTEMROOT = `C:\WINNT'
TEMP = `c:\WINNT\TEMP'
TERM = `xterm'
TMP = `c:\WINNT\TEMP'
TZ = `PST8PDT7,M4.1.0/2,M10.5.0/2'
USERDOMAIN = `VID038'
USERNAME = `Administrator'
WINDIR = `C:\WINNT'
_ = `/usr/bin/cygcheck'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `C:\apps\cygwin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `C:\apps\cygwin/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `C:\apps\cygwin/lib'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Program Options

a:  fd           N/A    N/A                    
c:  hd  NTFS    4102Mb  94% CP CS UN PA FC     
d:  hd  NTFS   26897Mb  26% CP CS UN PA FC     Data
g:  hd  FAT32   3992Mb   1% CP    UN           GHOST
z:  cd           N/A    N/A                    

C:\apps\cygwin      /          system  binmode
C:\apps\cygwin/bin  /usr/bin   system  binmode
C:\apps\cygwin/lib  /usr/lib   system  binmode
.                   /cygdrive  user    binmode,cygdrive

Found: C:\apps\cygwin\bin\bash.exe
Found: C:\apps\cygwin\bin\cat.exe
Found: C:\apps\cygwin\bin\cpp.exe
Found: C:\apps\cygwin\bin\find.exe
Found: C:\apps\cygwin\bin\gcc.exe
Not Found: gdb
Found: C:\apps\cygwin\bin\ld.exe
Found: C:\apps\cygwin\bin\ls.exe
Found: C:\apps\cygwin\bin\make.exe
Found: C:\apps\cygwin\bin\sh.exe

   58k 2002/09/28 C:\apps\cygwin\bin\cygbz2-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygbz2-1.dll" v0.0 ts=2002/5/6 23:33
  625k 2002/08/09 C:\apps\cygwin\bin\cygcrypto.dll - os=4.0 img=1.0 sys=4.0
                  "cygcrypto.dll" v0.0 ts=2002/8/9 13:20
  132k 2002/09/28 C:\apps\cygwin\bin\cygexpat-0.dll - os=4.0 img=1.0 sys=4.0
                  "cygexpat-0.dll" v0.0 ts=2002/7/14 12:38
   45k 2002/09/28 C:\apps\cygwin\bin\cygform5.dll - os=4.0 img=1.0 sys=4.0
                  "cygform5.dll" v0.0 ts=2001/4/24 22:28
   35k 2002/09/28 C:\apps\cygwin\bin\cygform6.dll - os=4.0 img=1.0 sys=4.0
                  "cygform6.dll" v0.0 ts=2002/1/8 22:03
   19k 2002/09/28 C:\apps\cygwin\bin\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
                  "cyggdbm.dll" v0.0 ts=2002/2/19 19:05
   17k 2002/09/28 C:\apps\cygwin\bin\cyghistory4.dll - os=4.0 img=1.0 sys=4.0
                  "cyghistory4.dll" v0.0 ts=2001/1/6 20:34
   20k 2002/09/28 C:\apps\cygwin\bin\cyghistory5.dll - os=4.0 img=1.0 sys=4.0
                  "cyghistory5.dll" v0.0 ts=2002/7/17 14:18
  929k 2002/09/28 C:\apps\cygwin\bin\cygiconv-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygiconv-2.dll" v0.0 ts=2002/6/24 11:24
   22k 2002/09/28 C:\apps\cygwin\bin\cygintl-1.dll - os=4.0 img=1.0 sys=4.0
                  "cygintl-1.dll" v0.0 ts=2001/12/13 1:28
   23k 2002/09/28 C:\apps\cygwin\bin\cygintl-2.dll - os=4.0 img=1.0 sys=4.0
                  "cygintl-2.dll" v0.0 ts=2002/6/23 21:54
   21k 2002/09/28 C:\apps\cygwin\bin\cygintl.dll - os=4.0 img=1.0 sys=4.0
                  "cygintl.dll" v0.0 ts=2001/6/20 10:09
   81k 2002/09/28 C:\apps\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitcl30.dll" v0.0 ts=2000/11/25 17:43
   35k 2002/09/28 C:\apps\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitk30.dll" v0.0 ts=2000/11/25 17:43
  119k 2002/09/28 C:\apps\cygwin\bin\cygjpeg6b.dll - os=4.0 img=1.0 sys=4.0
                  "cygjpeg6b.dll" v0.0 ts=2002/2/8 21:19
   26k 2002/09/28 C:\apps\cygwin\bin\cygmenu5.dll - os=4.0 img=1.0 sys=4.0
                  "cygmenu5.dll" v0.0 ts=2001/4/24 22:27
   20k 2002/09/28 C:\apps\cygwin\bin\cygmenu6.dll - os=4.0 img=1.0 sys=4.0
                  "cygmenu6.dll" v0.0 ts=2002/1/8 22:03
  156k 2002/09/28 C:\apps\cygwin\bin\cygncurses++5.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses++5.dll" v0.0 ts=2001/4/24 22:29
  175k 2002/09/28 C:\apps\cygwin\bin\cygncurses++6.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses++6.dll" v0.0 ts=2002/1/8 22:03
  226k 2002/09/28 C:\apps\cygwin\bin\cygncurses5.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses5.dll" v0.0 ts=2001/4/24 22:17
  202k 2002/09/28 C:\apps\cygwin\bin\cygncurses6.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses6.dll" v0.0 ts=2002/1/8 22:03
   15k 2002/09/28 C:\apps\cygwin\bin\cygpanel5.dll - os=4.0 img=1.0 sys=4.0
                  "cygpanel5.dll" v0.0 ts=2001/4/24 22:27
   12k 2002/09/28 C:\apps\cygwin\bin\cygpanel6.dll - os=4.0 img=1.0 sys=4.0
                  "cygpanel6.dll" v0.0 ts=2002/1/8 22:03
   40k 2002/09/28 C:\apps\cygwin\bin\cygpcre.dll - os=4.0 img=1.0 sys=4.0
                  "cygpcre.dll" v0.0 ts=2001/11/21 14:15
   39k 2002/09/28 C:\apps\cygwin\bin\cygpcreposix.dll - os=4.0 img=1.0 sys=4.0
                  "cygpcreposix.dll" v0.0 ts=2001/11/21 14:15
  175k 2002/09/28 C:\apps\cygwin\bin\cygpng10.dll - os=4.0 img=1.0 sys=4.0
                  "cygpng10.dll" v0.0 ts=2002/7/22 8:51
   22k 2002/09/28 C:\apps\cygwin\bin\cygpopt-0.dll - os=4.0 img=1.0 sys=4.0
                  "cygpopt-0.dll" v0.0 ts=2002/6/8 22:45
  108k 2002/09/28 C:\apps\cygwin\bin\cygreadline4.dll - os=4.0 img=1.0 sys=4.0
                  "cygreadline4.dll" v0.0 ts=2001/1/6 20:34
  127k 2002/09/28 C:\apps\cygwin\bin\cygreadline5.dll - os=4.0 img=1.0 sys=4.0
                  "cygreadline5.dll" v0.0 ts=2002/7/17 14:18
  159k 2002/09/28 C:\apps\cygwin\bin\cygssl.dll - os=4.0 img=1.0 sys=4.0
                  "cygssl.dll" v0.0 ts=2002/8/9 13:20
  390k 2002/09/28 C:\apps\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtcl80.dll" v0.0 ts=2000/11/25 17:39
    5k 2002/09/28 C:\apps\cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
   10k 2002/09/28 C:\apps\cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtclreg80.dll" v0.0 ts=2000/11/25 17:39
  253k 2002/09/28 C:\apps\cygwin\bin\cygtiff3.dll - os=4.0 img=1.0 sys=4.0
                  "cygtiff3.dll" v0.0 ts=2002/2/10 0:34
  623k 2002/09/28 C:\apps\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtk80.dll" v0.0 ts=2000/11/25 17:43
   50k 2002/03/12 C:\apps\cygwin\bin\cygz.dll - os=4.0 img=1.0 sys=4.0
                  "cygz.dll" v0.0 ts=2002/3/11 20:38
  883k 2002/07/06 C:\apps\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2002/7/5 23:16
    Cygwin DLL version info:
        DLL version: 1.3.12
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 54
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix: 
        Build date: Sat Jul 6 02:16:58 EDT 2002
        CVS tag: cygwin-1-3-12-1
        Shared id: cygwin1S3

Cygwin Package Information
Last downloaded files to: C:\apps\cygwin-install
Last downloaded files from: ftp://archive.progeny.com/cygwin

Package             Version             
_update-info-dir    00055-1             
ash                 20020731-1          
bash                2.05b-3             
bc                  1.06-1              
binutils            20020706-2          
bzip2               1.0.2-2             
clear               1.0-1               
cpio                2.4.2               
cron                3.0.1-7             
cygrunsrv           0.95-1              
cygutils            1.1.2-1             
cygwin              1.3.12-4            
diff                1.0-1               
diffutils           2.8.1-1             
ed                  0.2-1               
expat               1.95.4-1            
expect              20010117-1          
file                3.37-1              
fileutils           4.1-1               
findutils           4.1.7-4             
gawk                3.1.1-2             
gcc                 2.95.3-5            
gdbm                1.8.0-4             
gettext             0.11.2-2            
grep                2.5-1               
groff               1.17.2-1            
gzip                1.3.3-4             
inetutils           1.3.2-19            
jpeg                6b-7                
less                374-1               
libbz2_1            1.0.2-2             
libiconv2           1.8-2               
libintl             0.10.38-3           
libintl1            0.10.40-1           
libintl2            0.11.2-2            
libncurses5         5.2-1               
libncurses6         5.2-8               
libpng10            1.0.14-2            
libpopt0            1.6.4-4             
libreadline4        4.1-2               
libreadline5        4.3-1               
login               1.4-4               
lynx                2.8.4-1             
make                3.79.1-7            
man                 1.5g-2              
mingw-runtime       2.1-1               
more                2.11o-1             
ncurses             5.2-8               
openssh             3.4p1-5             
openssl             0.9.6g-1            
patch               2.5-3               
pcre                3.7-1               
perl                5.6.1-2             
python              2.2.1-1             
readline            4.3-1               
rsync               2.5.5-1             
sed                 3.02-1              
sh-utils            2.0-2               
sharutils           4.2.1-2             
shutdown            1.2-2               
tar                 1.13.19-1           
tcltk               20001125-1          
tcp_wrappers        7.6-1               
tcsh                6.11.00-4           
termcap             20020403-1          
terminfo            5.2-3               
texinfo             4.2-3               
textutils           2.0.21-1            
tiff                3.5.7-1             
time                1.7-1               
unzip               5.50-1              
vim                 6.1-2               
w32api              1.5-1               
wget                1.8.2-1             
which               1.5-1               
whois               4.5.17-1            
zip                 2.3-2               
zlib                1.1.4-1             

Use -h to see help about each section

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/